Bug 703019 (CVE-2011-2492) - CVE-2011-2492 kernel: bluetooth: l2cap and rfcomm: fix 1 byte infoleak to userspace
Summary: CVE-2011-2492 kernel: bluetooth: l2cap and rfcomm: fix 1 byte infoleak to use...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2492
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 703020 703021 703022 703023 703024
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-09 02:50 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:44 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 12:44:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0927 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-07-15 06:07:56 UTC
Red Hat Product Errata RHSA-2011:1189 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-08-23 14:41:43 UTC
Red Hat Product Errata RHSA-2011:1253 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-09-12 19:43:48 UTC

Description Eugene Teo (Security Response) 2011-05-09 02:50:53 UTC
Structures "l2cap_conninfo" and "rfcomm_conninfo" have one padding
byte each. This byte in "cinfo" is copied to userspace uninitialized.

Acknowledgements:

Red Hat would like to thank Marek Kroemeke and Filip Palian for reporting this issue.

Comment 1 Eugene Teo (Security Response) 2011-05-09 02:52:21 UTC
Reference:
http://permalink.gmane.org/gmane.linux.bluez.kernel/12909

Comment 4 Eugene Teo (Security Response) 2011-06-24 03:25:45 UTC
Upstream commit:
http://git.kernel.org/linus/8d03e971cf403305217b8e62db3a2e5ad2d6263f

Comment 7 errata-xmlrpc 2011-07-15 06:10:37 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0927 https://rhn.redhat.com/errata/RHSA-2011-0927.html

Comment 8 Eugene Teo (Security Response) 2011-07-19 07:07:29 UTC
Statement:

This issue affects the versions of Linux kernel as shipped with Red Hat Enterprise Linux 4, 5, 6, and Red Hat Enterprise MRG. It has been addressed in Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-0927.html, https://rhn.redhat.com/errata/RHSA-2011-1189.html, and https://rhn.redhat.com/errata/RHSA-2011-1253.html. Red Hat Enterprise Linux 4 is now in Production 3 of the maintenance life-cycle, https://access.redhat.com/support/policy/updates/errata/, therefore the fix for this issue is not currently planned to be included in the future updates.

Comment 9 errata-xmlrpc 2011-08-23 14:43:39 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1189 https://rhn.redhat.com/errata/RHSA-2011-1189.html

Comment 10 errata-xmlrpc 2011-09-12 19:46:24 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2011:1253 https://rhn.redhat.com/errata/RHSA-2011-1253.html


Note You need to log in before you can comment on or make changes to this bug.